Subject: Re: [PATCH] diff: stop output garbled message in dry run mode

From: Junio C Hamano <[email-masked]>
Date: Fri, 17 Oct 2025 22:02:20 -0700

Lidong Yan <[email-masked]> writes:

> Junio C Hamano <[email-masked]> writes:
>> ...
>> Test that exercises "git diff -I<regex>" is in line with what the
>> original b55e6d36eb wanted to address, but given that we saw a
>> recent regression report like [*], I would have liked to see "git
>> diff --quiet" in the test as well.
>
> I will read Peff’s test and see if I should also add some similar tests
>
>> * https://lore.kernel.org/git/[email-masked]/

Also I think the fprintf() in run_diff_cmd() Dscho noticed is a real
problem.  cf. <[email-masked]>

Thanks for working on this.